# Class JSOFA.SphericalPosition

java.lang.Object
org.jastronomy.jsofa.JSOFA.SphericalPosition

Enclosing class:
  `JSOFA`

public static class JSOFA.SphericalPosition extends Object
A position expressed in spherical polar coordinates. .

Since:
  26 Jan 2010
Version:
  $Revision$ $date$
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 21 Nov 2011

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`phi`
latitude angle (radians)
`double`
`r`
radial distance
`double`
`theta`
longitude angle (radians)

## Constructor Summary

Constructors
Constructor
Description
`SphericalPosition(double theta, double phi, double r)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### theta

public double theta
longitude angle (radians)

### phi

public double phi
latitude angle (radians)

### r

public double r
radial distance

## Constructor Details

### SphericalPosition

public SphericalPosition(double theta, double phi, double r)